# $Id$
# Authority: lsn
# Upstream:

%define myname		LandShark BuildSys
%define myemail		<BuildSys[AT]LandShark.Net>
%define distro		CentOS 4

Name		: releaseforge
Version		: 1.1
Release		: 1.el4.lsn

License		: GPL
Summary         : ReleaseForge is a utility designed for the administrators and release engineers of SourceForge projects.
Group		: Development/Libraries

URL		: http://releaseforge.sourceforge.net
Vendor		: LandShark Networks
Distribution	: %distro
Packager	: %{myname} %{myemail}

BuildRoot	: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source0		: %{name}-%{version}.tar.gz
Source1		: %{name}.desktop
Source2		: %{name}-icon.png
Buildarch	: noarch

%description

ReleaseForge is an open source utility designed for the administrators and release engineers
of SourceForge projects. ReleaseForge allows you to easily create new SourceForge project
releases in a quicker and friendlier manner than the usual SourceForge web interface.
      

%prep
%setup

%build
python setup.py build

%install
mkdir -p %{buildroot}%{_datadir}/{icons,applications,pixmaps}
cp -a %{SOURCE1} %{buildroot}%{_datadir}/applications
cp -a %{SOURCE2} %{buildroot}%{_datadir}/icons

python setup.py install --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)

%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/%{name}-icon.png

%changelog
* Fri Jun 16 2006 LandShark BuildSys <BuildSys[AT]LandShark.Net>
- Updated to version 1.1

* Fri Apr 07 2006 LandShark BuildSys <BuildSys[AT]LandShark.Net>
- Updated to version 0.9.9c .

* Wed Jan 25 2006 LandShark BuildSys <BuildSys[AT]LandShark.Net>
- Initial build for CentOS 4.
